Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.https
Class SSLProperties

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.jigsaw.config.PropertySet
                        |
                        +--org.w3c.jigsaw.https.SSLProperties

All Implemented Interfaces:
  java.lang.Cloneable

public class SSLProperties
extends PropertySet

Field Summary
`protected static int` | `ATTR_SSL_KEYSTORE_PASSWORD` keystore password attribute index
`protected static int` | `ATTR_SSL_KEYSTORE_PATH` keystore path attribute index
`protected static int` | `ATTR_SSL_SECURITY_PROVIDER` security provider attribute index
`protected static int` | `ATTR_SSL_TRUSTSTORE_PASSWORD` keystore password attribute index (future usage for client mode)
`protected static int` | `ATTR_SSL_TRUSTSTORE_PATH` keystore path attribute index (future usage for client mode)
`static java.lang.String` | `DEFAULT_NAME` default properties name
`static java.lang.String` | `DEFAULT_SECURITY_PROVIDER` default security provider for TLS support
`static java.lang.String` | `KEYSTORE_PASSWORD_P` property key for specifying the keystore password
`static java.lang.String` | `KEYSTORE_PATH_P` property key for specifying the keystore path
`static java.lang.String` | `SECURITY_PROVIDER_P` property key for specifying the TLS security provider
`static java.lang.String` | `TRUSTSTORE_PASSWORD_P` property key for specifying the truststore password (future usage for client mode)
`static java.lang.String` | `TRUSTSTORE_PATH_P` property key for specifying the truststore path (future usage for client mode)

Fields inherited from class org.w3c.jigsaw.config.PropertySet
`server`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`SSLProperties(httpd server)` nameless constructor for SSL properties
`SSLProperties(java.lang.String name, httpd server)` named constructor for SSL properties

Method Summary
`java.lang.String` | `getSecurityProvider()` method for supplying the current security provider

Methods inherited from class org.w3c.jigsaw.config.PropertySet
`convertingGet, getHelpURL, getHelpURL, getTitle, getValue, initialize, setValue, unsafeGetValue`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, delete, getClone, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, initialize, isInitialized, isUnloaded, markModified, notifyUnload, pickleValues, registerFrame, setContext, setContext, setValue, unregisterFrame, unsafeGetContext, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECURITY_PROVIDER_P

    public static final java.lang.String SECURITY_PROVIDER_P

  property key for specifying the TLS security provider

  See Also:
    Constant Field Values

### KEYSTORE_PATH_P

    public static final java.lang.String KEYSTORE_PATH_P

  property key for specifying the keystore path

  See Also:
    Constant Field Values

### KEYSTORE_PASSWORD_P

    public static final java.lang.String KEYSTORE_PASSWORD_P

  property key for specifying the keystore password

  See Also:
    Constant Field Values

### TRUSTSTORE_PATH_P

    public static final java.lang.String TRUSTSTORE_PATH_P

  property key for specifying the truststore path (future usage for client mode)

  See Also:
    Constant Field Values

### TRUSTSTORE_PASSWORD_P

    public static final java.lang.String TRUSTSTORE_PASSWORD_P

  property key for specifying the truststore password (future usage for client mode)

  See Also:
    Constant Field Values

### DEFAULT_SECURITY_PROVIDER

    public static final java.lang.String DEFAULT_SECURITY_PROVIDER

  default security provider for TLS support

  See Also:
    Constant Field Values

### DEFAULT_NAME

    public static final java.lang.String DEFAULT_NAME

  default properties name

  See Also:
    Constant Field Values

### ATTR_SSL_SECURITY_PROVIDER

    protected static int ATTR_SSL_SECURITY_PROVIDER

  security provider attribute index

### ATTR_SSL_KEYSTORE_PATH

    protected static int ATTR_SSL_KEYSTORE_PATH

  keystore path attribute index

### ATTR_SSL_KEYSTORE_PASSWORD

    protected static int ATTR_SSL_KEYSTORE_PASSWORD

  keystore password attribute index

### ATTR_SSL_TRUSTSTORE_PATH

    protected static int ATTR_SSL_TRUSTSTORE_PATH

  keystore path attribute index (future usage for client mode)

### ATTR_SSL_TRUSTSTORE_PASSWORD

    protected static int ATTR_SSL_TRUSTSTORE_PASSWORD

  keystore password attribute index (future usage for client mode)

Constructor Detail

### SSLProperties

    public SSLProperties(httpd server)

  nameless constructor for SSL properties

Parameters:
  `server` - reference to the current daemon

### SSLProperties

    public SSLProperties(java.lang.String name,
                         httpd server)

  named constructor for SSL properties

Parameters:
  `name` - the name for the daemon in question
  `server` - reference to the current daemon

Method Detail

### getSecurityProvider

    public java.lang.String getSecurityProvider()

  method for supplying the current security provider

  Returns:
    SSL security provider

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD